export interface IFetchApiProps {
    url: string;
    headers?: object;
}
export interface IFetchByIdApiProps extends IFetchApiProps {
    id: string;
}
export interface IFetchPostProps extends IFetchApiProps {
    body: object;
}
export interface IFetchPutProps extends IFetchApiProps {
    body: object;
    id: string;
}
export interface IFetchFilterProps extends IFetchApiProps {
    params: object;
}
declare class FetchApi {
    seeAllMethods(): void;
    getApi({ url, headers }: IFetchApiProps): Promise<any> | undefined;
    getByIdApi({ url, id, headers }: IFetchByIdApiProps): Promise<any> | undefined;
    postApi({ url, body, headers }: IFetchPostProps): Promise<any> | undefined;
    putApi({ url, id, headers, body }: IFetchPutProps): Promise<any> | undefined;
    patchApi({ url, id, headers, body }: IFetchPutProps): Promise<any> | undefined;
    deleteApi({ url, id, headers }: IFetchPutProps): Promise<any> | undefined;
    filterApi({ url, params, headers }: IFetchFilterProps): Promise<any> | undefined;
}
declare const api: FetchApi;
declare const getApi: ({ url, headers }: IFetchApiProps) => Promise<any> | undefined;
declare const getByIdApi: ({ url, id, headers }: IFetchByIdApiProps) => Promise<any> | undefined;
declare const seeAllMethods: () => void;
declare const postApi: ({ url, body, headers }: IFetchPostProps) => Promise<any> | undefined;
declare const putApi: ({ url, id, headers, body }: IFetchPutProps) => Promise<any> | undefined;
declare const patchApi: ({ url, id, headers, body }: IFetchPutProps) => Promise<any> | undefined;
declare const deleteApi: ({ url, id, headers }: IFetchPutProps) => Promise<any> | undefined;
declare const filterApi: ({ url, params, headers }: IFetchFilterProps) => Promise<any> | undefined;
export { getApi, getByIdApi, api, seeAllMethods, postApi, putApi, deleteApi, patchApi, filterApi, };
